package com.lightinit.hsdataportal.service.open;


import com.lightinit.hsdataportal.entity.User;
import com.lightinit.hsdataportal.model.LoginUser;
import com.lightinit.hsdataportal.model.ResultState;
import com.lightinit.hsdataportal.model.ShareRegisterModel;

/**
 * @author WangYao
 * @date 2018/6/22 11:13
 * @description 账户业务接口（开放平台）
 */
public interface IAccountService {

    LoginUser getLoginUserByUsername(String username);

    User getUserByUsername(String username);

    ResultState register(ShareRegisterModel shareRegisterModel);

    ResultState insertUserAuthSetting(Long userId, Long passUserId);

    ResultState validatePhone(String phone);

    ResultState isCode(String phone, String code);

    boolean isSecurityCode();
}
